org.apache.flume.source

## Class PollableSourceRunner

- java.lang.Object
- - org.apache.flume.SourceRunner
  - - org.apache.flume.source.PollableSourceRunner

- All Implemented Interfaces:
    LifecycleAware

      public class PollableSourceRunner
      extends SourceRunner

  An implementation of `SourceRunner` that can drive a `PollableSource`.

  A `PollableSourceRunner` wraps a `PollableSource` in the required run loop in order for it to operate. Internally, metrics and counters are kept such that a source that returns a `PollableSource.Status` of `BACKOFF` causes the run loop to do exactly that. There's a maximum backoff period of 500ms. A source that returns `READY` is immediately invoked. Note that `BACKOFF` is merely a hint to the runner; it need not be strictly adhered to.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PollableSourceRunner.PollingRunner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PollableSourceRunner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LifecycleState` | `getLifecycleState()` Return the current state of the service or component.
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.flume.SourceRunner

      `forSource, getSource, setSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PollableSourceRunner

          public PollableSourceRunner()

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getLifecycleState

          public LifecycleState getLifecycleState()

      Description copied from interface: `LifecycleAware`

      Return the current state of the service or component.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.